# SelectGameWindow Struct Reference

Inheritance diagram for SelectGameWindow:

## Public Member Functions
| SelectGameWindow (const WindowDesc *desc)
void | SetLandscapeButtons ()
virtual void | OnPaint ()
| The window must be repainted.
virtual void | SetStringParameters (int widget) const
| Initialize string parameters for a widget.
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
| Update size and resize step of a widget in the window.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.

## Detailed Description

Definition at line 59 of file intro_gui.cpp.

## Member Function Documentation

virtual void SelectGameWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 100 of file intro_gui.cpp.

References _ctrl_pressed, _grfconfig_newgame, _is_network_server, _network_available, _settings_newgame, GameSettings::game_creation, GENERATE_NEW_SEED, INVALID_STRING_ID, IsInsideMM(), GameCreationSettings::landscape, Window::RaiseWidget(), SetNewLandscapeType(), ShowErrorMessage(), ShowNetworkContentListWindow(), and ShowNewGRFSettings().

virtual void SelectGameWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 76 of file intro_gui.cpp.

References Window::DrawWidgets().

virtual void SelectGameWindow::SetStringParameters | ( | int | widget | ) | const`[inline, virtual]`

Initialize string parameters for a widget.

Calls to this function are made during initialization to measure the size (that is as part of InitNested()), during drawing, and while re-initializing the window. Only for widgets that render text initializing is requested.

Parameters:

  | widget | Widget number.

Reimplemented from Window.

Definition at line 81 of file intro_gui.cpp.

References _settings_newgame, DifficultySettings::diff_level, GameSettings::difficulty, and SetDParam().

virtual void SelectGameWindow::UpdateWidgetSize | ( | int | widget,
|  | Dimension * | size,
|  | const Dimension & | padding,
|  | Dimension * | fill,
|  | Dimension * | resize |
| ) |  |  | `[inline, virtual]`

Update size and resize step of a widget in the window.

After retrieval of the minimal size and the resize-steps of a widget, this function is called to allow further refinement, typically by computing the real maximal size of the content. Afterwards, size is taken to be the minimal size of the widget and resize is taken to contain the resize steps. For the convenience of the callee, padding contains the amount of padding between the content and the edge of the widget. This should be added to the returned size.

Parameters:

  | widget | Widget number.
  | size | Size of the widget.
  | padding | Recommended amount of space between the widget content and the widget edge.
  | fill | Fill step of the widget.
  | resize | Resize step of the widget.

Reimplemented from Window.

Definition at line 86 of file intro_gui.cpp.

References GetStringBoundingBox(), maxdim(), and SetDParam().

The documentation for this struct was generated from the following file:

- src/intro_gui.cpp